SET DEFINE OFF;



ALTER TABLE maracuja.PRELEVEMENT_FICHIER drop constraint PRELEVEMENT_utilisateur_FK; 

ALTER TABLE maracuja.PRELEVEMENT_FICHIER ADD CONSTRAINT PRELEVEMENT_utilisateur_FK 
FOREIGN KEY (UTL_ORDRE) REFERENCES jefy_admin.UTILISATEUR (UTL_ORDRE) DEFERRABLE INITIALLY DEFERRED;





grant select on jefy_echeancier.echeancier_seq to maracuja with grant option;
grant select on jefy_echeancier.echeancier_detail_seq to maracuja with grant option;
grant execute on GRHUM.NOMBRE_EN_LETTRE to maracuja with grant option;



ALTER TABLE MARACUJA.ECHEANCIER ADD (BOR_ID  NUMBER(38));
ALTER TABLE MARACUJA.ECHEANCIER ADD (CONSTRAINT FK_ECHEANCIER_BOR_ID FOREIGN KEY (BOR_ID) REFERENCES MARACUJA.BORDEREAU (BOR_ID) DEFERRABLE INITIALLY DEFERRED);


ALTER TABLE MARACUJA.ECHEANCIER MODIFY(ORG_ORDRE  NULL);
ALTER TABLE MARACUJA.ECHEANCIER MODIFY(TIT_ID  NULL);
ALTER TABLE MARACUJA.ECHEANCIER MODIFY(REC_ID  NULL);
ALTER TABLE MARACUJA.ECHEANCIER MODIFY(TIT_ORDRE  NULL);
ALTER TABLE MARACUJA.ECHEANCIER MODIFY(ORG_ID  NULL);


COMMENT ON COLUMN MARACUJA.ECHEANCIER.BOR_ID IS 'Reference au bordereau dans le cas ou l''echeancier n''est pas relie a une recette';


CREATE TABLE MARACUJA.ECHEANCIER_BROUILLARD
(
  EBR_ID NUMBER NOT NULL,  
  ECHE_ECHEANCIER_ORDRE NUMBER NOT NULL,
  BOB_ORDRE      NUMBER       NULL
);

ALTER TABLE MARACUJA.ECHEANCIER_BROUILLARD ADD (PRIMARY KEY (EBR_ID) USING INDEX TABLESPACE GFC_INDX);

ALTER TABLE MARACUJA.ECHEANCIER_BROUILLARD ADD ( CONSTRAINT FK_ECHEANCIER_BROUILLARD_ECH FOREIGN KEY (ECHE_ECHEANCIER_ORDRE) REFERENCES MARACUJA.ECHEANCIER (ECHE_ECHEANCIER_ORDRE));
ALTER TABLE MARACUJA.ECHEANCIER_BROUILLARD ADD ( CONSTRAINT FK_ECHEANCIER_BROUILLARD_BOB FOREIGN KEY (BOB_ORDRE) REFERENCES MARACUJA.BORDEREAU_BROUILLARD (BOB_ORDRE)  DEFERRABLE INITIALLY DEFERRED);

COMMENT ON TABLE MARACUJA.ECHEANCIER_BROUILLARD IS 'Les brouillards d''ecritures associes a un echeancier (facultatif suivant l''origine de l''echeancier)';

COMMENT ON COLUMN MARACUJA.ECHEANCIER_BROUILLARD.EBR_ID IS 'Identifiant de la table.';
COMMENT ON COLUMN MARACUJA.ECHEANCIER_BROUILLARD.ECHE_ECHEANCIER_ORDRE IS 'Reference a l''echeancier.';
COMMENT ON COLUMN MARACUJA.ECHEANCIER_BROUILLARD.BOB_ORDRE IS 'Reference au bordereau_brouillard dans le cas ou le brouillard est un bordereau_brouillard.';

CREATE SEQUENCE MARACUJA.ECHEANCIER_BROUILLARD_SEQ  START WITH 1  NOCYCLE  NOCACHE  NOORDER;

CREATE TABLE MARACUJA.ECHEANCIER_DETAIL_ECR
(
  EDE_ID NUMBER NOT NULL,  
  ECHE_ECHEANCIER_ORDRE NUMBER NOT NULL,
  ECD_ORDRE      NUMBER       NOT NULL
);

ALTER TABLE MARACUJA.ECHEANCIER_DETAIL_ECR ADD (PRIMARY KEY (EDE_ID) USING INDEX TABLESPACE GFC_INDX);

ALTER TABLE MARACUJA.ECHEANCIER_DETAIL_ECR ADD ( CONSTRAINT FK_ECHEANCIER_DETAIL_ECR_ECH FOREIGN KEY (ECHE_ECHEANCIER_ORDRE) REFERENCES MARACUJA.ECHEANCIER (ECHE_ECHEANCIER_ORDRE));
ALTER TABLE MARACUJA.ECHEANCIER_DETAIL_ECR ADD ( CONSTRAINT FK_ECHEANCIER_DETAIL_ECR_ECD FOREIGN KEY (ECD_ORDRE) REFERENCES MARACUJA.ECRITURE_DETAIL (ECD_ORDRE)  DEFERRABLE INITIALLY DEFERRED);

COMMENT ON TABLE MARACUJA.ECHEANCIER_DETAIL_ECR IS 'Lien entre un echeancier et ses ecritures associees (logiquement une seule, un debit)';

COMMENT ON COLUMN MARACUJA.ECHEANCIER_DETAIL_ECR.ECD_ORDRE IS 'Identifiant';
COMMENT ON COLUMN MARACUJA.ECHEANCIER_DETAIL_ECR.ECHE_ECHEANCIER_ORDRE IS 'Reference a l''echeancier';
COMMENT ON COLUMN MARACUJA.ECHEANCIER_DETAIL_ECR.ECD_ORDRE IS 'Reference au detail d''ecriture';

CREATE SEQUENCE MARACUJA.ECHEANCIER_DETAIL_ECR_SEQ  START WITH 1  NOCYCLE  NOCACHE  NOORDER;


CREATE TABLE MARACUJA.PRELEVEMENT_DETAIL_ECR
(
  PDE_ID NUMBER NOT NULL,  
  PREL_PRELEV_ORDRE NUMBER NOT NULL,
  ECD_ORDRE      NUMBER       NOT NULL
);

ALTER TABLE MARACUJA.PRELEVEMENT_DETAIL_ECR ADD (PRIMARY KEY (PDE_ID) USING INDEX TABLESPACE GFC_INDX);

ALTER TABLE MARACUJA.PRELEVEMENT_DETAIL_ECR ADD ( CONSTRAINT FK_PRELEVEMENT_DETAIL_ECR_ECH FOREIGN KEY (PREL_PRELEV_ORDRE) REFERENCES MARACUJA.PRELEVEMENT (PREL_PRELEV_ORDRE));
ALTER TABLE MARACUJA.PRELEVEMENT_DETAIL_ECR ADD ( CONSTRAINT FK_PRELEVEMENT_DETAIL_ECR_ECD FOREIGN KEY (ECD_ORDRE) REFERENCES MARACUJA.ECRITURE_DETAIL (ECD_ORDRE)  DEFERRABLE INITIALLY DEFERRED);

COMMENT ON TABLE MARACUJA.PRELEVEMENT_DETAIL_ECR IS 'Lien entre un PRELEVEMENT et ses ecritures associees (logiquement une seule, un credit)';

COMMENT ON COLUMN MARACUJA.PRELEVEMENT_DETAIL_ECR.ECD_ORDRE IS 'Identifiant';
COMMENT ON COLUMN MARACUJA.PRELEVEMENT_DETAIL_ECR.PREL_PRELEV_ORDRE IS 'Reference au PRELEVEMENT';
COMMENT ON COLUMN MARACUJA.PRELEVEMENT_DETAIL_ECR.ECD_ORDRE IS 'Reference au detail d''ecriture';

CREATE SEQUENCE MARACUJA.PRELEVEMENT_DETAIL_ECR_SEQ  START WITH 1  NOCYCLE  NOCACHE  NOORDER;


CREATE UNIQUE INDEX MARACUJA.UNQ_PRELEVEMENT_DETAIL_ECR ON MARACUJA.PRELEVEMENT_DETAIL_ECR (PREL_PRELEV_ORDRE, ECD_ORDRE) TABLESPACE GFC_INDX;
CREATE UNIQUE INDEX MARACUJA.UNQ_ECHEANCIER_BROUILLARD ON MARACUJA.ECHEANCIER_BROUILLARD (ECHE_ECHEANCIER_ORDRE, BOB_ORDRE) TABLESPACE GFC_INDX;
CREATE UNIQUE INDEX MARACUJA.UNQ_ECHEANCIER_DETAIL_ECR ON MARACUJA.ECHEANCIER_DETAIL_ECR (ECHE_ECHEANCIER_ORDRE, ECD_ORDRE) TABLESPACE GFC_INDX;

grant select, references on maracuja.echeancier to garnuche;
grant select, references on maracuja.prelevement to garnuche;

